#!/bin/bash

set -u
set -e

. ../duilder.conf

RP_VER="20160311"
sed -e "s|@@RP_VER@@|${RP_VER}|" Dockerfile-postgresql.tmpl > Dockerfile-postgresql
if [ "`docker images -q rocketgit/rocketgit-postgresql:${RP_VER}`" = "" ]; then
	echo "Building rocketgit-postgresql (${RP_VER})..."
	docker build \
		--tag="rocketgit/rocketgit-postgresql:latest" \
		--tag="rocketgit/rocketgit-postgresql:${RP_VER}" \
		-f Dockerfile-postgresql \
		.
fi

echo "Building rocketgit..."
sed -e "s|@@VER@@|${VER}|" Dockerfile-rocketgit.tmpl > Dockerfile-rocketgit
docker build \
	--tag="rocketgit/rocketgit:latest" \
	--tag="rocketgit/rocketgit:${VER}" \
	-f Dockerfile-rocketgit \
	.
